V1 Loan Pipeline (with Pagination)

Retrieves pages of loan IDs (GUIDs) and specified fields from loans on the Pipeline.

Usage Notes

  • Use the cursor ID (x-cursor) that is returned in the response header of the Create Cursor API call to set the pagination or starting point for filtering and sorting pipeline requests.
  • A maximum of 10 cursors are allowed.
  • Cursors are flagged for expiration after 5 minutes idle time and have a maximum lifespan of 12 hours.
  • The limit query parameter may be overridden by the server. The server will calculate the optimal limit depending upon the requested number of loans and fields.
  • The x-total-count is a response header attribute that indicates the total number of loans matching your filter criteria.
  • The x-cursor is a response header attribute that represents the name of the cursor.
  • Only the fields attribute is accepted in the request body.
  • canonicalName in “Loan Pipeline” API maps to the criterionFieldName in “Get Canonical Names” response payload.
  • The number of loans in a page can be retrieved by reading the response.
Query Params
string
required

The cursor ID (or x-cursor).

integer
Defaults to 0

Zero-based starting index. The default is zero.

integer

The maximum number of items to return in a page. Refer to the Usage Notes in this endpoint page.

boolean
Defaults to false

Ignores the invalid fields specified in the request body if set to true, else will return an error with list of invalid fields.

Body Params
string

The loan GUID.

fields
object

List of fields to return.

loanLockInfo
object

The loan lock information.

Headers
string
required

Bearer token

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json